Patch Test Connection
This is typically used to indicate VMware Cloud Foundation operations that the certificates presented by
the (data source for which the adapter instance) was tested are indeed valid
certificates.
Typically the response of the POST /api/adapters API in its entirety needs to be
sent as request body when making this PATCH /api/adapters API invocation.
NOTE: for VCF and vCenter cloud accounts please use /api/integrations/vcenters/testConnection and /api/integrations/vcf/testConnection APIs respectively
The adapter instance connection request
Show optional properties
{
"resourceKey": {
"adapterKindKey": "string",
"name": "string",
"resourceKindKey": "string"
}
}
"{\n \"resourceKey\" : {\n \"name\" : \"VC Adapter Instance\",\n \"adapterKindKey\" : \"VMWARE\",\n \"resourceKindKey\" : \"VMwareAdapter Instance\",\n \"resourceIdentifiers\" : [ ]\n },\n \"description\" : \"A vCenter Adapter Instance\",\n \"collectorId\" : 1,\n \"credentialInstanceId\" : \"1a571e56-edc4-4931-b61b-e074493491f1\",\n \"adapter-certificates\" : [ {\n \"thumbprint\" : \"854e7e76-a2d1-4052-98ae-fe983bd2a3bc\",\n \"certificateDetails\" : \"Issued by VMware, Inc. Expires: 01/01/2020\"\n } ],\n \"id\" : \"725cbdae-812e-4e98-9972-53c58f51661b\"\n}"
The set of untrusted certificates returned by the adapter source
The ID of the collector group. If not specified, the system will choose an appropriate Collector group for you
The ID of the Collector that manages this adapter instance. This is optional and if not specified, system will choose an appropriate collector.
The Credential Instance identifier used by this adapter instance
Optional description of the Adapter instance
The UUID of the adapter instance
Last time adapter instance reported collection of resources/stats.
Last time when this adapter instance communicated with VMware Cloud Foundation Operations Server.
Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.
Any message from the adapter instance.
Minutes part of the monitoring Interval of the Adapter Instance.
Seconds part of the monitoring Interval of the Adapter Instance
The number of metrics reported by this adapter instance.
The number of resources being monitored by this resource.
The Physical Datacenter ID to be used for this Adapter Instance.It is Optional
Represents a composite key for uniquely identifying a Resource.
The connection is successful.
If Patch 'adapter instance connection' failed. Typically the service will return extra information as to why update failed.
curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"resourceKey":"object"}'